MrTsQuicksand and Himeparty Manager Conflict

Status
Not open for further replies.

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
Whenever I attempt to use these plug-ins together hime party manager is unable to define unsinkable. I was wondering if anybody out there with some JavaScript proficiency could help me get hime party manager to be able to define Mr. TS quicksand and its unsinkable Java. Java from both plug-ins is included within the code. I tried just removing the unsinkable property from Mr. TS quicksand that caused the entire plug-in to stop working altogether.

 

Attachments

Last edited:

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
Of if someone could just help me remove the unsinkable property of the plugin so that it will stop conflicting with hime party manager.....i dont know
 

ShadowDragon

Veteran
Veteran
Joined
Oct 8, 2018
Messages
2,458
Reaction score
831
First Language
Dutch
Primarily Uses
RMMV
did you try switching those 2 plugin? party manager above quicksand?

it shouldn't conflict unless there is 2 of the same function overwriting one another.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
30,754
Reaction score
7,388
First Language
German
Primarily Uses
RMMV
1) please move your projects to a different folder.
This has nothing to do with your current problem, but the current folderpath contains a space and is thereby illegal under networking rules. That will cause problems later, especially on deployment.

you can see it in your error screenshot: any symbol replaced by %nn means a symbol that the browser itself can't handle. The %20 replacement for the space in the filepath is a windows-override to force the issue, and that override will not work everywhere and all times.

2) your error message doesn't come from the party manager, it comes from the option core.
That means that at least that plugin is involved as well, possibly others.
I suggest you give a screenshot of your plugin manager with all your plugins and their order, only then we can start to help.

3) for a lot of reasons it is much better to give links to the websites of plugins and NOT post them here.
Posting plugins here not only breaks the original terms of service in a lot of cases (most plugin programmer do not allow reposting), it also means that we are missing the instructions that might be placed on the original website
 

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
did you try switching those 2 plugin? party manager above quicksand?

it shouldn't conflict unless there is 2 of the same function overwriting one another.
Yes I switch both plugins one above the other or vice versa no solution. Hime only works with Quicksand switched off.
 

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
1) please move your projects to a different folder.
This has nothing to do with your current problem, but the current folderpath contains a space and is thereby illegal under networking rules. That will cause problems later, especially on deployment.

you can see it in your error screenshot: any symbol replaced by %nn means a symbol that the browser itself can't handle. The %20 replacement for the space in the filepath is a windows-override to force the issue, and that override will not work everywhere and all times.

2) your error message doesn't come from the party manager, it comes from the option core.
That means that at least that plugin is involved as well, possibly others.
I suggest you give a screenshot of your plugin manager with all your plugins and their order, only then we can start to help.

3) for a lot of reasons it is much better to give links to the websites of plugins and NOT post them here.
Posting plugins here not only breaks the original terms of service in a lot of cases (most plugin programmer do not allow reposting), it also means that we are missing the instructions that might be placed on the original website
1.) Ok on deployment I'll move the game to my administrator profile and deploy from there.
2.)I see it comes from option core, but the error only comes when I have the two plugins operating together. If disable options core then another yanfly plugin has a problem with it. No matter what I do Yanfly hates these two plugins working together.
3.)I'll modify the original post to include the plugin webpages and remove the code.
 

Attachments

Last edited:

Shaz

Veteran
Veteran
Joined
Mar 2, 2012
Messages
39,959
Reaction score
13,589
First Language
English
Primarily Uses
RMMV
Please scroll to the TOP of the console and get your screenshot from there. Sometimes there are more messages at the top and then you just get stuff repeating which isn't of as much value.

Also please post links to all 3 plugins - Hime's, Quicksand, and YEP Options Core

It has something to do with the notes not being read from the event. That is the only place where it's defined as Unsinkable - everywhere else it's _unsinkable. Looks like it's related to Hime's PartyEvent inheriting from Game_Event and not setting up metadata.
 

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
Please scroll to the TOP of the console and get your screenshot from there. Sometimes there are more messages at the top and then you just get stuff repeating which isn't of as much value.

Also please post links to all 3 plugins - Hime's, Quicksand, and YEP Options Core

It has something to do with the notes not being read from the event. That is the only place where it's defined as Unsinkable - everywhere else it's _unsinkable. Looks like it's related to Hime's PartyEvent inheriting from Game_Event and not setting up metadata.
As I said to Andar I see it comes from option core, but the error only comes when I have the two plugins operating together. If disable options core then another yanfly plugin has a problem with it. No matter what I do Yanfly hates these two plugins working together. I modified the original post with the full console message.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
30,754
Reaction score
7,388
First Language
German
Primarily Uses
RMMV
Yes, the top of the console was VERY important.
The first error is a syntax error in pixi.js, and that is extremely telling - either something damaged your pixi.js or you have a version conflict in the core files themselves as that has nothing to do with plugins.
and the second error is what I meant with the illegal path - failed to load most likely because the browser couldn't handle the filepath, although at that position it doesn't matter because it just defaults the font.

back to the version problems:
please go to the project directory, js and then open the rpg_core.js file with a text editor (do not doubleclick). what is the number at the end of the title line? No number means 1.0

also what version number is your editor (go to help - about to check that), and is it steam or standalone?
 

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
Yes, the top of the console was VERY important.
The first error is a syntax error in pixi.js, and that is extremely telling - either something damaged your pixi.js or you have a version conflict in the core files themselves as that has nothing to do with plugins.
and the second error is what I meant with the illegal path - failed to load most likely because the browser couldn't handle the filepath, although at that position it doesn't matter because it just defaults the font.

back to the version problems:
please go to the project directory, js and then open the rpg_core.js file with a text editor (do not doubleclick). what is the number at the end of the title line? No number means 1.0

also what version number is your editor (go to help - about to check that), and is it steam or standalone?
My editor version is 1.5.1
// rpg_core.js v1.5.0 - Yanfly Version Update
Stand alone
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
30,754
Reaction score
7,388
First Language
German
Primarily Uses
RMMV
the original 1.5.0 was not stable, and I don't know if yanfly fixed more than the worst bugs.
even the 1.5.1 was not bug-free, it's the 1.5.2 that is considered to be the stable 1.5-version
1.6.x is something else - again the 1.6.0 was extremely buggy, and only the 1.6.1 and 1.6.2 (which are almost identical) are considered stable.

The problem is that between 1.5.2 and 1.6.2 some core functions changed and this made several plugins incompatible. So you would have to test with backup to see if your project works with an 1.6.2 update.

But you should either do an update to 1.5.2 or to 1.6.2 to get rid of the damaged pixi.js and then see what else works. It could even be that your current problem is caused by the version incompatibility:
If you used the latest versions of Yanfly's Plugins, they all have been updated for the 1.6.x core and do not work correctly with an 1.5.x core. If you want to keep the 1.5.x core, then you'll have to make sure that you're using the slightly older plugin versions that were made to 1.5.x

I do not know where to get the standalone installers for the different versions, but if you have a steam account then you can simply activate RMMV on steam by entering the key for the standalone version into Steam. Then you can use the Steam program properties (Beta Tab) to switch between the different versions to get their files - and you can have both standalone and steam installed at the same time, even switched to different versions or different languages as they are independent of each other.
 

Shaz

Veteran
Veteran
Joined
Mar 2, 2012
Messages
39,959
Reaction score
13,589
First Language
English
Primarily Uses
RMMV
The uncaught syntax error: unexpected token u means you've got badly formed json. This is usually because you've got something wrong in your note tags.

It's not that Yanfly's plugins hate others. It's that Yanfly's plugins pick up and display errors that other plugins cause but don't monitor for. So Yanfly's plugins will often report errors, when the error is caused by a completely different plugin.
 

Tsukihime

Veteran
Veteran
Joined
Jun 30, 2012
Messages
8,559
Reaction score
3,823
First Language
English
Please scroll to the TOP of the console and get your screenshot from there. Sometimes there are more messages at the top and then you just get stuff repeating which isn't of as much value.

Also please post links to all 3 plugins - Hime's, Quicksand, and YEP Options Core

It has something to do with the notes not being read from the event. That is the only place where it's defined as Unsinkable - everywhere else it's _unsinkable. Looks like it's related to Hime's PartyEvent inheriting from Game_Event and not setting up metadata.
Ya it was the meta.

I hardcoded a "template event" that is used to create an event that represents the party on the map while it's "idle"

But I didn't load the meta, which means meta was undefined.
I actually never knew about meta until like a couple weeks ago lol was this always part of MV?

@Mkingdom the plugin has been updated to v1.12 to fix the meta issue.
 

Shaz

Veteran
Veteran
Joined
Mar 2, 2012
Messages
39,959
Reaction score
13,589
First Language
English
Primarily Uses
RMMV
I actually never knew about meta until like a couple weeks ago lol was this always part of MV?
lol - yeah, always been a part of MV. Quite a nice feature :)
 

Mkingdom

Veteran
Veteran
Joined
Nov 1, 2019
Messages
180
Reaction score
13
First Language
English
Primarily Uses
RMMV
Ahhh.....a sigh of relief thanks so much.
Ya it was the meta.

I hardcoded a "template event" that is used to create an event that represents the party on the map while it's "idle"

But I didn't load the meta, which means meta was undefined.
I actually never knew about meta until like a couple weeks ago lol was this always part of MV?

@Mkingdom the plugin has been updated to v1.12 to fix the meta issue.
the original 1.5.0 was not stable, and I don't know if yanfly fixed more than the worst bugs.
even the 1.5.1 was not bug-free, it's the 1.5.2 that is considered to be the stable 1.5-version
1.6.x is something else - again the 1.6.0 was extremely buggy, and only the 1.6.1 and 1.6.2 (which are almost identical) are considered stable.

The problem is that between 1.5.2 and 1.6.2 some core functions changed and this made several plugins incompatible. So you would have to test with backup to see if your project works with an 1.6.2 update.

But you should either do an update to 1.5.2 or to 1.6.2 to get rid of the damaged pixi.js and then see what else works. It could even be that your current problem is caused by the version incompatibility:
If you used the latest versions of Yanfly's Plugins, they all have been updated for the 1.6.x core and do not work correctly with an 1.5.x core. If you want to keep the 1.5.x core, then you'll have to make sure that you're using the slightly older plugin versions that were made to 1.5.x

I do not know where to get the standalone installers for the different versions, but if you have a steam account then you can simply activate RMMV on steam by entering the key for the standalone version into Steam. Then you can use the Steam program properties (Beta Tab) to switch between the different versions to get their files - and you can have both standalone and steam installed at the same time, even switched to different versions or different languages as they are independent of each other.
Do you have any idea where I can get older versions of yanfly's core engine?
 

slimmmeiske2

Little Red Riding Hood
Global Mod
Joined
Sep 6, 2012
Messages
7,460
Reaction score
5,086
First Language
Dutch
Primarily Uses
RMXP

This thread is being closed, due to being solved. If for some reason you would like this thread re-opened, please report this post and leave a message why. Thank you.

 
Status
Not open for further replies.

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Latest Threads

Latest Posts

Latest Profile Posts

1 million messages is approaching. The end is near! M1M is like Y2K, but forum based. It's a bug that's gonna delete all attachments when we hit 1 mil messages. At least with Y2K we had warning....
If you manage to make a game that people play for hours, then reminding them to take a break gives that “This game cares about me” feeling and also lowers chance of burnout with your game.
Well... things are slow. I'm still waiting to get called back into my position, but I do have some time to design my games.
Suddenly wanna hear this ...
The best way to end your day? Cuddle your kitten! :LZSproud:

Forum statistics

Threads
103,429
Messages
999,235
Members
134,957
Latest member
wsadtg
Top